package com.ruoyi.web.v3.service;


import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.web.v3.entity.HbCheckMeatQualifiedEntity;
import com.ruoyi.web.v3.model.request.HbCheckMeatQualifiedPageReq;


/**
 * <p>
 * v3.0肉品品质检验登记 服务类
 * </p>
 */
public interface IHbCheckMeatQualifiedService extends IService<HbCheckMeatQualifiedEntity> {

    AjaxResult add(HbCheckMeatQualifiedEntity request);

    AjaxResult edit(HbCheckMeatQualifiedEntity request);

    AjaxResult delete(String ids);

    AjaxResult page(HbCheckMeatQualifiedPageReq request);

    AjaxResult listAll();
}
